Page MenuHomePhabricator

[DO NOT USE] Pywikibot Documentation (tracking) [superseded by #Pywikibot-documentation]
Closed, InvalidPublic

Description


Version: core-(2.0)
Severity: normal

Details

Reference
bz64840

Related Objects

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:13 AM
bzimport set Reference to bz64840.
bzimport added a subscriber: Unknown Object (????).

How does this differ from bug 1?

@Phillip: This is specifically for pywikibot documentation bugs; we'd like to keep them seperate from the more general list as 'search for 'blocks bug 1' AND 'project=pywikibot' is a lot harder to link to than a tracking bug.

jayvdb added a comment.Nov 5 2014, 5:03 AM

Sphinx autodoc requires all files are protected by if name == 'main':

The first cut of sphinx documentation is at:
http://pywikibot.readthedocs.org/en/latest/pywikibot.html

Will improve it a bit and submit to gerrit soon

Aklapper added a subscriber: Aklapper.

Pywikibot crew: Can we please close this task and move its five dependency tasks into the Pywikibot-Documentation project with its seven tasks?
Fragmentation: No good.

Pywikibot crew: Can we please close this task and move its five dependency tasks into the Pywikibot-Documentation project with its seven tasks?

+1

Mpaa closed this task as Resolved.Jan 2 2015, 3:45 PM
Mpaa claimed this task.

Five dependency tasks moved to Pywikibot-Documentation.
Task closed per @Aklapper request.

Restricted Application added a project: Documentation. · View Herald TranscriptJul 11 2016, 6:12 PM